// ChatThread.cpp : implementation file
//

#include "stdafx.h"
#include "hostilechat.h"
#include "chatdlg.h"
#include "ChatThread.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChatThread

IMPLEMENT_DYNCREATE(CChatThread, CWinThread)

CChatThread::CChatThread()
{
	m_hEventReady = CreateEvent(NULL, TRUE, FALSE, NULL);
}

CChatThread::~CChatThread()
{
	CloseHandle(m_hEventReady);
}

BOOL CChatThread::InitInstance()
{
	CChatDlg dlg;
	dlg.Create( IDD_CHAT_DLG );
	m_pMainWnd = &dlg;

	SetEvent(m_hEventReady);

	dlg.RunModalLoop(MLF_NOKICKIDLE);

	SetEvent(m_hEventReady);

	return FALSE;
}

int CChatThread::ExitInstance()
{
	// TODO:  perform any per-thread cleanup here
	return CWinThread::ExitInstance();
}

BEGIN_MESSAGE_MAP(CChatThread, CWinThread)
	//{{AFX_MSG_MAP(CChatThread)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CChatThread message handlers

BOOL CChatThread::OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo) 
{
	// TODO: Add your specialized code here and/or call the base class

	return CWinThread::OnCmdMsg(nID, nCode, pExtra, pHandlerInfo);
}
