// HostileChatDlg.h : header file
//

#if !defined(AFX_HOSTILECHATDLG_H__26BF6377_A59A_11D3_9315_004095817FB2__INCLUDED_)
#define AFX_HOSTILECHATDLG_H__26BF6377_A59A_11D3_9315_004095817FB2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CHostileChatDlg dialog
#include "ChatUserList.h"
#include "PictureButton.h"
#include "HostileChat.h"	// Added by ClassView

typedef CArray<CUser, CUser&> CUsers;

class CHostileChatDlg : public CDialog
{
	friend CLookupThread;

	enum {TIMER_CHECK_ONLINE, TIMER_CONFIRM_PRESENSE};
// Construction
public:
	enum {UPDATE_ONLINE, UPDATE_INCHAT};
	
	CHostileChatDlg(CWnd* pParent = NULL);	// standard constructor
	CUser MessageToUser(CMessage & message);
// Dialog Data
	//{{AFX_DATA(CHostileChatDlg)
	enum { IDD = IDD_HOSTILECHAT_DIALOG };
	CPictureButton	m_btnTopMost;
	CPictureButton	m_btnColor;
	CPictureButton	m_btnFont;
	CChatUserList	m_userList;
	CString	m_szEdit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHostileChatDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CHostileChatDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDblclkUserlist();
	afx_msg void OnClose();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnUpdateUserList(WPARAM, LPARAM);
	afx_msg void OnSendMessage(WPARAM, LPARAM);
	afx_msg void OnFlashIncomingMessage(WPARAM, LPARAM);
	afx_msg void OnColor();
	afx_msg void OnFont();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnTopmost();
	afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnBroadcast(WPARAM wParm, LPARAM lParm);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	bool m_bTopMost;
	void OpenSendMessageDlg(LPCSTR lpszWhom);
	PreferencesOnline m_pref;
	CUsers m_users;

	CPostOffice m_PostOffice;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HOSTILECHATDLG_H__26BF6377_A59A_11D3_9315_004095817FB2__INCLUDED_)
