// IncomingThread.cpp : implementation file
//

#include "stdafx.h"
#include "hostilechat.h"
#include "IncomingThread.h"
#include "IncomingDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIncomingThread

IMPLEMENT_DYNCREATE(CIncomingThread, CWinThread)

CIncomingThread::CIncomingThread()
{
	m_hEventReady = CreateEvent(NULL, TRUE, FALSE, NULL);
}

CIncomingThread::~CIncomingThread()
{
	CloseHandle(m_hEventReady);
}

BOOL CIncomingThread::InitInstance()
{
	CIncomingDlg dlg;
	dlg.Create( IDD_INCOMING );
	m_pMainWnd = &dlg;

	SetEvent(m_hEventReady);

	dlg.RunModalLoop(MLF_NOKICKIDLE);

	SetEvent(m_hEventReady);

	return FALSE;
}

int CIncomingThread::ExitInstance()
{
	// TODO:  perform any per-thread cleanup here
	return CWinThread::ExitInstance();
}

BEGIN_MESSAGE_MAP(CIncomingThread, CWinThread)
	//{{AFX_MSG_MAP(CIncomingThread)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIncomingThread message handlers
