//===========================================================================
// File:      Sound.h
// Purpose:	  Defines CSound class for manipulating sounds in .wav files  
// Author:    Dmitry Lobasev
// Created:   19/02/2000
//===========================================================================
 
// Project -> Settings -> C/C++ -> Code Generation write Multithreaded DLL
// Project -> Settings -> Link -> General -> Object/Library write winmm.lib

//===========================================================================

#include "stdafx.h"
#include "Sound.h"
#include "mmsystem.h"

CSound::CSound(void)
{
}

CSound::~CSound(void)
{
}

//===========================================================================
// Dmitry Lobasev'2000

void CSound::PlayResource(LPCTSTR lpszSound)
{
 	HRSRC hRes; // resource handle to wave file
	HGLOBAL hData;
	BOOL bOk = FALSE;

	if ((hRes = ::FindResource(AfxGetResourceHandle(), lpszSound, _T("sound"))) != NULL && 
		(hData = ::LoadResource(AfxGetResourceHandle(), hRes)) != NULL)
	{ 		// found the resource, play it 		
		bOk = sndPlaySound((LPCTSTR)::LockResource(hData), SND_MEMORY|SND_ASYNC|SND_NODEFAULT); 
		FreeResource(hData); 	
	} 	
//	if (!bOk) 	
//	{
//		AfxMessageBox("Error !!! Can not play the sound. \nNot find sound board !!!");
//	}

}

void CSound::PlayResource(UINT nIDS)
{
	PlayResource(MAKEINTRESOURCE(nIDS)); 
}  

