#if !defined(AFX_CHATDLG_H__49C496A3_AAF7_11D3_932F_004095817FB2__INCLUDED_)
#define AFX_CHATDLG_H__49C496A3_AAF7_11D3_932F_004095817FB2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ChatDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CChatDlg dialog
#include "ChatUserList.h"
#include "ChatMessageList.h"
#include "PictureButton.h"


class CChatDlg : public CDialog
{
// Construction
public:
	CChatDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CChatDlg)
	enum { IDD = IDD_CHAT_DLG };
	CEdit	m_ebMessage;
	CPictureButton	m_btnClose;
	CPictureButton	m_btnSend;
	CPictureButton	m_btnRefresh;
	CPictureButton	m_btnProperties;
	CChatMessageList	m_chatList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChatDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CChatDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnProperties();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnSend2();
	afx_msg void OnSend();
	afx_msg void OnClose();
	virtual void OnCancel();
	afx_msg void OnRecieveMessage(WPARAM wParm, LPARAM lParm);
	afx_msg void OnRefresh();
	afx_msg void OnChangeEdit1();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnUserInChat(WPARAM, LPARAM);
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg void OnWindowPosChanged(WINDOWPOS FAR* lpwndpos);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	bool m_bEnableScrolling;
	HICON m_hIcon;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHATDLG_H__49C496A3_AAF7_11D3_932F_004095817FB2__INCLUDED_)
