#if !defined(AFX_ICONFLASHTHREAD_H__3FBD5682_B93D_11D3_9368_004095817FB2__INCLUDED_)
#define AFX_ICONFLASHTHREAD_H__3FBD5682_B93D_11D3_9368_004095817FB2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// IconFlashThread.h : header file
//


#define TIME_INFINITE -1

/////////////////////////////////////////////////////////////////////////////
// CIconFlashThread thread

class CIconFlashThread : public CWinThread
{
	DECLARE_DYNCREATE(CIconFlashThread)

	HICON m_hIcon, m_hNoneIcon;
protected:
	CIconFlashThread();           // protected constructor used by dynamic creation

// Attributes
public:
	CIconFlashThread( HICON hIcon, HICON hNoneIcon, long lTime, LPCSTR,
		LPCSTR);

// Operations
public:
	virtual void Delete();
	void KillThread();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIconFlashThread)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CIconFlashThread();

	// Generated message map functions
	//{{AFX_MSG(CIconFlashThread)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
	CString m_sUser;
	UINT m_uiIndex;
	LPCSTR m_lpszTip;
	long m_lTime;
	HANDLE m_hEventDead;
	HANDLE m_hEventKill;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ICONFLASHTHREAD_H__3FBD5682_B93D_11D3_9368_004095817FB2__INCLUDED_)
