#if !defined(AFX_INCOMINGDLG_H__15BFE321_BA0C_11D3_936A_004095817FB2__INCLUDED_)
#define AFX_INCOMINGDLG_H__15BFE321_BA0C_11D3_936A_004095817FB2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// IncomingDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CIncomingDlg dialog

#include "ChatMessageList.h"

class CIncomingDlg : public CDialog
{
// Construction
public:
	CIncomingDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CIncomingDlg)
	enum { IDD = IDD_INCOMING };
	CPictureButton	m_btnMessage;
	CButton	m_btnClose;
	CButton	m_btnReply;
	CStatic	m_stmsginf;
	CPictureButton	m_btnProperties;
	CChatMessageList	m_messageList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIncomingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CIncomingDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnClose();
	afx_msg void OnRecieveMessage(WPARAM wParm, LPARAM lParm);
	virtual void OnOK();
	afx_msg void OnProperties();
	afx_msg void OnSelchangeMessages();
	afx_msg void OnReply();
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnWindowPosChanging(WINDOWPOS FAR* lpwndpos);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
	afx_msg void OnWindowPosChanged(WINDOWPOS FAR* lpwndpos);
	afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int m_iLastSelection;
	int m_iNewMessage;

	HICON m_hIcon;
	CArray <CMessage, CMessage&> m_messageQueue;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INCOMINGDLG_H__15BFE321_BA0C_11D3_936A_004095817FB2__INCLUDED_)
