// PostOffice.h: interface for the CPostOffice class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POSTOFFICE_H__4AA06DA4_AF9A_11D3_9340_004095817FB2__INCLUDED_)
#define AFX_POSTOFFICE_H__4AA06DA4_AF9A_11D3_9340_004095817FB2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef AFX_LOOKUPTHREAD_H__6C9D9133_B079_11D3_9343_004095817FB2__INCLUDED_
#include "LookupThread.h"
#endif
#include "Message.h"	// Added by ClassView

#define TYPE_MESSAGE	0
#define TYPE_USER		1

class CPostOffice  
{
	friend class CLookupThread;
	friend class CHostileChatDlg;

public:
	bool IsValid();
	virtual bool OnRecieveMessage(CMessage message);
	CPostOffice();
	virtual ~CPostOffice();

private:
	CRITICAL_SECTION m_criticalSection;
	bool CheckPostStatus(void);
	virtual bool Broadcast( CMessage message );
	virtual bool Broadcast(CUser user);

	HANDLE m_hConfirmPresense;
	HANDLE m_hForAllMailslot;
	HANDLE m_hFileForAll;

};

#endif // !defined(AFX_POSTOFFICE_H__4AA06DA4_AF9A_11D3_9340_004095817FB2__INCLUDED_)
